Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Classes | Public Member Functions | List of all members
LatCommon::CoordinateSets::FromRanges Class Reference

Implementation of CoordinateSets for coordinates within a given range. More...

`#include <CoordinateSets.h>`

## Classes
class | const_iterator

## Public Member Functions
| FromRanges (Coordinates::size_type minOrder, Coordinates::size_type maxOrder, Coordinates::value_type minCoord, Coordinates::value_type maxCoord)
| Constructs a set of all subsets of \(\{\mathtt{minCoord}, \dots, \mathtt{maxCoord}\}\) with minimum and maximum cardinality specified by `minOrder` and `maxOrder`. More...
| FromRanges ()
| Constructs an empty set of coordinate sets.
void | includeOrder (Coordinates::size_type order, Coordinates::value_type minCoord, Coordinates::value_type maxCoord)
| Include all subsets \(\mathfrak u\) of \(\{\mathtt{minCoord}, \dots, \mathtt{maxCoord}\}\) of order \(|\mathfrak u| = \mathtt{order}\). More...
void | excludeOrder (Coordinates::size_type order)
| Excludes coordinate sets \(\mathfrak u\) of order \(|\mathfrak u| = \mathtt{order}\).
const_iterator | begin () const
| Returns an iterator pointing to the first element in the seq.
const_iterator | end () const
| Returns an iterator pointing past the last element in the seq.

## Detailed Description

Implementation of CoordinateSets for coordinates within a given range.

Examples:
  tutorial/WeightedFigureOfMerit.cc, tutorial/WeightedFigureOfMeritCBC.cc, and tutorial/WeightedFigureOfMeritSignals.cc.

## Constructor & Destructor Documentation

LatCommon::CoordinateSets::FromRanges::FromRanges | ( | Coordinates::size_type | minOrder,
|  | Coordinates::size_type | maxOrder,
|  | Coordinates::value_type | minCoord,
|  | Coordinates::value_type | maxCoord
| ) |  |

Constructs a set of all subsets of \(\{\mathtt{minCoord}, \dots, \mathtt{maxCoord}\}\) with minimum and maximum cardinality specified by `minOrder` and `maxOrder`.

For example, to select all 1, 2, and 3-tuples over coordinates 2, 3, 4, one may use the declaration `FromRanges range(1, 3, 2, 4)`; this gives the sets `range = {{2}, {3}, {4}, {2, 3}, {2, 4}, {3, 4}, {2, 3, 4}}`.

## Member Function Documentation

void LatCommon::CoordinateSets::FromRanges::includeOrder | ( | Coordinates::size_type | order,
|  | Coordinates::value_type | minCoord,
|  | Coordinates::value_type | maxCoord
| ) |  |

Include all subsets \(\mathfrak u\) of \(\{\mathtt{minCoord}, \dots, \mathtt{maxCoord}\}\) of order \(|\mathfrak u| = \mathtt{order}\).

For example, calling `includeOrder(3, 1, 5)` causes all 3-tuples over coordinates \(1, \dots, 5\) to be included. If `order` is `0` (corresponding to the empty set), `minCoord` and `maxCoord` are ignored. Except for the case where `order` = 0, an exception is thrown if \(\mathtt{maxCoord} < \mathtt{minCoord} + \mathtt{order} - 1\).

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/CoordinateSets.h